version: "3"
services:
  RNASeq:
    image: ubuntu20.04-rnaseq:1.04
    container_name: RNASeq
    volumes:
      - /media/sliver/Element1/data:/opt/data:rw
      - /media/sliver/Manufacture/RNA-Seq/root:/root:rw
      - /media/sliver/Manufacture/RNA-Seq/ref:/opt/ref:rw
      - /media/sliver/Manufacture/RNA-Seq/result:/opt/result:rw
    ports:
      - "9020:9020"
      - "8787:8787"
    network_mode: "host"
    environment:
      - TZ="Asia/Shanghai"
    command: /bin/bash -c "rstudio-server start && service ssh start -D"